### Method

# AppStreamCompose Media set_request_timeout

since: 1.2.0

#### Declaration [src]

    void
    asc_media_set_request_timeout (
      AscMedia* media,
      guint seconds
    )

#### Description [src]

Set the time a single media operation may take before the worker is assumed to hang and gets killed.

Available since: 1.2.0

#### Parameters

`seconds`

  Type: `guint`

  New timeout in seconds, 0 for no timeout.